/* ====================================================================
 * Copyright (c) 2003-2006, Martin Hauner
 *                          http://subcommander.tigris.org
 *
 * Subcommander is licensed as described in the file doc/COPYING, which
 * you should have received as part of this distribution.
 * ====================================================================
 */

// sc
#include "Error.h"
#include "ErrorImpl.h"

namespace sc
{
Error* Success = 0;

const Error* createError( long code, const sc::String& msg )
{
  return new ErrorImpl( code, msg );
}

const Error* createError( long code, const sc::String& msg, const Error* err )
{
  return new ErrorImpl( code, msg, err );
}


} // namespace
